Subject: Re: [Sigtran] Multiplexed M2PA links on an association

From: [email-masked]
Date: Mon, 24 Jun 2002 17:37:48 +0100

Brian,

> We agreed that multiple links living and dying together would have
> a drastic effect on existing MTP3 implementations which view links
> as independent.  Much changeover thrashing could result when an
> association fails.

How do the following scenarios differ for a linkset of 16 links, when a single
path is lost?
1) If we have traditional SS7 links and 8 links follow one path and 8 links
follow another diverse path.
2) If we have 16 single-homed M2PA links and 8 links follow one path and 8 links
follow another diverse path.
3) If we have 2 multiplexed M2PA links (each with 8 data streams) and 1 link
follows one path and the other another diverse path.

Amish.

*******************************************************************************
Important.
Confidentiality: This communication is intended for the above-named person and
may be confidential and/or legally privileged. Any opinions expressed in this
communication are not necessarily those of the company. If it has come to you
in error you must take no action based on it, nor must you copy or show it to
anyone; please delete/destroy and inform the sender immediately.

Monitoring/Viruses
Orange may monitor all incoming and outgoing emails in line with current
legislation.  Although we have taken steps to ensure that this email and
attachments are free from any virus, we advise that in keeping with good
computing practice the recipient should ensure they are actually virus free.

Orange PCS Limited is a subsidiary of Orange SA and is registered in England No
2178917, with its address at St James Court, Great Park Road, Almondsbury Park,
Bradley Stoke, Bristol BS32 4QJ.
*******************************************************************************

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 24 Jun 2002 12:22:00 -0500

Amish,

Normall SS7 links are normally provisioned over self-healing
transmission facilities and diversity of links is an engineering
matter for the operator.  It is no abnormal to see all links in
a critical linkset (B/D-links) each on diverse facilities.

If, as Javier suggests, all links in all linksets between two
nodes are in the same SCTP association, when the association fails,
the detection of failure at MTP3 will be staggered in time (because
MTP3 knows nothing of SCTP).  This may very well result in MTP3
changing over from one link in the failed SCTP assocation to another
in the same failed SCTP association.  The buffer updating, retrieval
and addition of buffers to other links can result in cascade failure
scenairos where, even if there are normal SS7 links as backup, those
links will fail as well due to conegestion (summing of transmit
buffers).  In a distrubuted MTP3 implementation, message buffers
must be transferred between distributed processes and processors
resulting in system degradation as buffers are transferred back and
forth to no purpose.

Remember that MTP3 treats each link as independent.  Tying a large
number of links together (live and die together) in a single SCTP
association is not advisable.

I agree with the statement made that once operational experince has
be gathered with M2PA running in single-link, single-homed associations,
the industry will be in a far better position to consider the use of
multiple-link and multi-homed deployments.  This is really stuff which
would be best placed in an AS.

--brian

[email-masked] wrote:                       (Mon, 24 Jun 2002 17:37:48)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/